[General]
LayoutsCount=10
; 0 - portrait text
; 1 - portrait numbers
; 2 - landscape text
; 3 - landscape numbers
; 4 - minimized
; 5 - portrait umlauts
; 6 - landscape umlauts
; 7 - portrait and Landscape ctivation
; 8 - Portrait Russian
; 9 - Landscape Russian

DefPortraitLayout=8
NumPortraitLayout=1
DefLandscapeLayout=9
NumLandscapeLayout=3
MinimizedLayout=4
ActivationPortraitLayout=7
ActivationLandscapeLayout=7

; portrait text
[Layout0]
RowsCount=5
ColsCount=6
Corresponding=2

[Layout0.Row0.Button0]
Text=A

[Layout0.Row0.Button1]
Text=B

[Layout0.Row0.Button2]
Text=C

[Layout0.Row0.Button3]
Text=D

[Layout0.Row0.Button4]
Text=E

[Layout0.Row0.Button5]
Text=F

[Layout0.Row1.Button0]
Text=G

[Layout0.Row1.Button1]
Text=H

[Layout0.Row1.Button2]
Text=I

[Layout0.Row1.Button3]
Text=J

[Layout0.Row1.Button4]
Text=K

[Layout0.Row1.Button5]
Text=L

[Layout0.Row2.Button0]
Text=M

[Layout0.Row2.Button1]
Text=N

[Layout0.Row2.Button2]
Text=O

[Layout0.Row2.Button3]
Text=P

[Layout0.Row2.Button4]
Text=Q

[Layout0.Row2.Button5]
Text=R

[Layout0.Row3.Button0]
Text=S

[Layout0.Row3.Button1]
Text=T

[Layout0.Row3.Button2]
Text=U

[Layout0.Row3.Button3]
Text=V

[Layout0.Row3.Button4]
Text=W

[Layout0.Row3.Button5]
Text=X

[Layout0.Row4.Button0]
Text=Y

[Layout0.Row4.Button1]
Text=Z

[Layout0.Row4.Button2]
Image=SPACE
Output=#32 

[Layout0.Row4.Button3]
Image=VISUAL_STD_BUTTON_ICON_MODE_NUM
ChangeToLayout=1

[Layout0.Row4.Button4]
Image=VISUAL_STD_BUTTON_ICON_BCK
Output=#8

[Layout0.Row4.Button5]
Image=VISUAL_STD_BUTTON_ICON_UPDOWN
SpecialAction=SHOW_HIDE_KB_ID

; portrait numbers
[Layout1]
RowsCount=4
ColsCount=5
Corresponding=3

[Layout1.Row0.Button0]
Text=1

[Layout1.Row0.Button1]
Text=2

[Layout1.Row0.Button2]
Text=3

[Layout1.Row0.Button3]
Text=.

[Layout1.Row0.Button4]
Text='

[Layout1.Row1.Button0]
Text=4

[Layout1.Row1.Button1]
Text=5

[Layout1.Row1.Button2]
Text=6

[Layout1.Row1.Button3]
Text=#35
Output=#35


[Layout1.Row1.Button4]
Text=-

[Layout1.Row2.Button0]
Text=7

[Layout1.Row2.Button1]
Text=8

[Layout1.Row2.Button2]
Text=9

[Layout1.Row2.Button3]
Text=*»
Output=*()

[Layout1.Row2.Button4]
Text=+

[Layout1.Row3.Button0]
Image=SPACE
Output=#32

[Layout1.Row3.Button1]
Text=0

[Layout1.Row3.Button2]
Image=VISUAL_STD_BUTTON_ICON_MODE_UM
ChangeToLayout=5

[Layout1.Row3.Button3]
Image=VISUAL_STD_BUTTON_ICON_BCK
Output=#8

[Layout1.Row3.Button4]
Image=VISUAL_STD_BUTTON_ICON_UPDOWN
SpecialAction=SHOW_HIDE_KB_ID


; landscape unshifted layout
[Layout2]
RowsCount=4
ColsCount=8
Corresponding=0

[Layout2.Row0.Button0]
Text=A

[Layout2.Row0.Button1]
Text=B

[Layout2.Row0.Button2]
Text=C

[Layout2.Row0.Button3]
Text=D

[Layout2.Row0.Button4]
Text=E

[Layout2.Row0.Button5]
Text=F

[Layout2.Row0.Button6]
Text=G

[Layout2.Row0.Button7]
Text=H

[Layout2.Row1.Button0]
Text=I

[Layout2.Row1.Button1]
Text=J

[Layout2.Row1.Button2]
Text=K

[Layout2.Row1.Button3]
Text=L

[Layout2.Row1.Button4]
Text=M

[Layout2.Row1.Button5]
Text=N

[Layout2.Row1.Button6]
Text=O

[Layout2.Row1.Button7]
Text=P

[Layout2.Row2.Button0]
Text=Q

[Layout2.Row2.Button1]
Text=R

[Layout2.Row2.Button2]
Text=S

[Layout2.Row2.Button3]
Text=T

[Layout2.Row2.Button4]
Text=U

[Layout2.Row2.Button5]
Text=V

[Layout2.Row2.Button6]
Text=W

[Layout2.Row2.Button7]
Text=X

[Layout2.Row3.Button0]
Text=Y

[Layout2.Row3.Button1]
Text=Z

[Layout2.Row3.Button2]
Image=SPACE
Output=#32
Width=2

[Layout2.Row3.Button3]
Image=VISUAL_STD_BUTTON_ICON_MODE_NUM
Width=1.5
ChangeToLayout=3

[Layout2.Row3.Button4]
Image=VISUAL_STD_BUTTON_ICON_BCK
Width=1.5
Output=#8

[Layout2.Row3.Button5]
Image=VISUAL_STD_BUTTON_ICON_UPDOWN
SpecialAction=SHOW_HIDE_KB_ID

; landscape numbers layout
[Layout3]
RowsCount=3
ColsCount=6
Corresponding=1

[Layout3.Row0.Button0]
Text=1

[Layout3.Row0.Button1]
Text=2

[Layout3.Row0.Button2]
Text=3

[Layout3.Row0.Button3]
Text=0

[Layout3.Row0.Button4]
Text=.»
Output=.'

[Layout3.Row0.Button5]
Image=SPACE
Output=#32

[Layout3.Row1.Button0]
Text=4

[Layout3.Row1.Button1]
Text=5

[Layout3.Row1.Button2]
Text=6

[Layout3.Row1.Button3]
Text=+

[Layout3.Row1.Button4]
Text=-

[Layout3.Row1.Button5]
Text=*»
Output=*-()#

[Layout3.Row2.Button0]
Text=7

[Layout3.Row2.Button1]
Text=8



[Layout3.Row2.Button2]
Text=9

[Layout3.Row2.Button3]
Image=VISUAL_STD_BUTTON_ICON_MODE_UM
ChangeToLayout=6

[Layout3.Row2.Button4]
Image=VISUAL_STD_BUTTON_ICON_BCK
Output=#8

[Layout3.Row2.Button5]
Image=VISUAL_STD_BUTTON_ICON_UPDOWN
SpecialAction=SHOW_HIDE_KB_ID

; minimized
[Layout4]
RowsCount=1
ColsCount=1

[Layout4.Row0.Button0]
Image=VISUAL_STD_BUTTON_ICON_UPDOWN
SpecialAction=SHOW_HIDE_KB_ID


; portrait umlauts
[Layout5]
RowsCount=5
ColsCount=6
Corresponding=6

[Layout5.Row0.Button0]
Text=Ä»
Output=ÄÀÁÂÃÅ

[Layout5.Row0.Button1]
Text=Æ
Output=Æ

[Layout5.Row0.Button2]
Text=Ç

[Layout5.Row0.Button3]
Text=Œ
Output=Œ

[Layout5.Row0.Button4]
Text=Ð

[Layout5.Row0.Button5]
Text=Ë»
Output=ËÈÉÊ

[Layout5.Row1.Button0]
Text=Ï»
Output=ÏÌÍÎ

[Layout5.Row1.Button1]
Text=Ñ

[Layout5.Row1.Button2]
Text=Ö»
Output=ÖÒÓÔÕ

[Layout5.Row1.Button3]
Text=Ø

[Layout5.Row1.Button4]
Text=ß

[Layout5.Row1.Button5]
Text=Þ

[Layout5.Row2.Button0]
Text=Ü

[Layout5.Row2.Button1]
Text=Ý»
Output=ÝŶŸ

[Layout5.Row2.Button2]
Text=µ

[Layout5.Row2.Button3]
Text=-»
Output=-_

[Layout5.Row2.Button4]
Text=!
Output=!

[Layout5.Row2.Button5]
Text=?»
Output=?¿

[Layout5.Row3.Button0]
Text=,»
Output=,.

[Layout5.Row3.Button1]
Text='
Output='


[Layout5.Row3.Button2]
Text=@

[Layout5.Row3.Button3]
Text=€»
Output=€£

[Layout5.Row3.Button4]
Text=$

[Layout5.Row3.Button5]
Text=*»
Output=*-()#

[Layout5.Row4.Button0]
Image=SPACE
Output=#32
Width=3

[Layout5.Row4.Button1]
Image=KB_ABC_BUTTON
ChangeToLayout=8

[Layout5.Row4.Button2]
Image=VISUAL_STD_BUTTON_ICON_BCK
Output=#8

[Layout5.Row4.Button3]
Image=VISUAL_STD_BUTTON_ICON_UPDOWN
SpecialAction=SHOW_HIDE_KB_ID


; landscape umlauts
[Layout6]
RowsCount=4
ColsCount=8
Corresponding=5

[Layout6.Row0.Button0]
Text=Ä»
Output=ÄÀÁÂÃÅ

[Layout6.Row0.Button1]
Text=Æ
Output=Æ

[Layout6.Row0.Button2]
Text=Ç

[Layout6.Row0.Button3]
Text=Œ
Output=Œ

[Layout6.Row0.Button4]
Text=Ð

[Layout6.Row0.Button5]
Text=Ë»
Output=ËÈÉÊ

[Layout6.Row0.Button6]
Text=Ï»
Output=ÏÌÍÎ

[Layout6.Row0.Button7]
Text=Ñ

[Layout6.Row1.Button0]
Text=Ö»
Output=ÖÒÓÔÕ

[Layout6.Row1.Button1]
Text=Ø

[Layout6.Row1.Button2]
Text=ß

[Layout6.Row1.Button3]
Text=Þ

[Layout6.Row1.Button4]
Text=Ü

[Layout6.Row1.Button5]
Text=Ý»
Output=ÝŶŸ

[Layout6.Row1.Button6]
Text=µ

[Layout6.Row1.Button7]
Text=-»
Output=-_

[Layout6.Row2.Button0]
Text=!
Output=!

[Layout6.Row2.Button1]
Text=?»
Output=?¿

[Layout6.Row2.Button2]
Text=,»
Output=,.

[Layout6.Row2.Button3]
Text='
Output='


[Layout6.Row2.Button4]
Text=@

[Layout6.Row2.Button5]
Text=€»
Output=€£

[Layout6.Row2.Button6]
Text=$

[Layout6.Row2.Button7]
Text=*»
Output=*-()#

[Layout6.Row3.Button0]
Image=SPACE
Width=4
Output=#32

[Layout6.Row3.Button1]
Image=KB_ABC_BUTTON
Width=1.5
ChangeToLayout=9


[Layout6.Row3.Button2]
Image=VISUAL_STD_BUTTON_ICON_BCK
Width=1.5
Output=#8

[Layout6.Row3.Button3]
Image=VISUAL_STD_BUTTON_ICON_UPDOWN
SpecialAction=SHOW_HIDE_KB_ID


; Portrait and Landscape Activation
[Layout7]
RowsCount=4
ColsCount=5
Corresponding=7

[Layout7.Row0.Button0]
Text=1

[Layout7.Row0.Button1]
Text=2

[Layout7.Row0.Button2]
Text=3

[Layout7.Row0.Button3]
Text=4

[Layout7.Row0.Button4]
Text=5

[Layout7.Row1.Button0]
Text=6

[Layout7.Row1.Button1]
Text=7

[Layout7.Row1.Button2]
Text=8

[Layout7.Row1.Button3]
Text=9

[Layout7.Row1.Button4]
Text=0

[Layout7.Row2.Button0]
Text=a

[Layout7.Row2.Button1]
Text=b

[Layout7.Row2.Button2]
Text=c

[Layout7.Row2.Button3]
Text=d

[Layout7.Row2.Button4]
Text=e

[Layout7.Row3.Button0]
Text=f

[Layout7.Row3.Button1]
EmptySpace=1
Width=2

[Layout7.Row3.Button2]
Image=VISUAL_STD_BUTTON_ICON_BCK
Width=2
Output=#8


; Portrait Russian
[Layout8]
RowsCount=5
ColsCount=6
Corresponding=9

[Layout8.Row0.Button0]
Text=А

[Layout8.Row0.Button1]
Text=Б»
Output=БВ

[Layout8.Row0.Button2]
Text=Г

[Layout8.Row0.Button3]
Text=Д

[Layout8.Row0.Button4]
Text=Е»
Output=ЕЁ

[Layout8.Row0.Button5]
Text=Ж»
Output=ЖЗ

[Layout8.Row1.Button0]
Text=И»
Output=ИЙ

[Layout8.Row1.Button1]
Text=К

[Layout8.Row1.Button2]
Text=Л

[Layout8.Row1.Button3]
Text=М

[Layout8.Row1.Button4]
Text=Н

[Layout8.Row1.Button5]
Text=О

[Layout8.Row2.Button0]
Text=П

[Layout8.Row2.Button1]
Text=Р

[Layout8.Row2.Button2]
Text=С

[Layout8.Row2.Button3]
Text=Т

[Layout8.Row2.Button4]
Text=У

[Layout8.Row2.Button5]
Text=Ф

[Layout8.Row3.Button0]
Text=Х

[Layout8.Row3.Button1]
Text=Ц»
Output=ЦЧ

[Layout8.Row3.Button2]
Text=Ш»
Output=ШЩ

[Layout8.Row3.Button3]
Text=Ъ»
Output=ЪЫЬ

[Layout8.Row3.Button4]
Text=Э

[Layout8.Row3.Button5]
Text=Ю

[Layout8.Row4.Button0]
Text=Я

[Layout8.Row4.Button1]
Text=-

[Layout8.Row4.Button2]
Image=SPACE
Output=#32

[Layout8.Row4.Button3]
Image=KB_ABC_BUTTON
ChangeToLayout=0

[Layout8.Row4.Button4]
Image=VISUAL_STD_BUTTON_ICON_BCK
Output=#8

[Layout8.Row4.Button5]
Image=VISUAL_STD_BUTTON_ICON_UPDOWN
SpecialAction=SHOW_HIDE_KB_ID

; Landscape Russian
[Layout9]
RowsCount=4
ColsCount=8
Corresponding=8

[Layout9.Row0.Button0]
Text=А

[Layout9.Row0.Button1]
Text=Б»
Output=БВ

[Layout9.Row0.Button2]
Text=Г

[Layout9.Row0.Button3]
Text=Д

[Layout9.Row0.Button4]
Text=Е»
Output=ЕЁ

[Layout9.Row0.Button5]
Text=Ж»
Output=ЖЗ

[Layout9.Row0.Button6]
Text=И»
Output=ИЙ

[Layout9.Row0.Button7]
Text=К

[Layout9.Row1.Button0]
Text=Л

[Layout9.Row1.Button1]
Text=М

[Layout9.Row1.Button2]
Text=Н

[Layout9.Row1.Button3]
Text=О

[Layout9.Row1.Button4]
Text=П

[Layout9.Row1.Button5]
Text=Р

[Layout9.Row1.Button6]
Text=С

[Layout9.Row1.Button7]
Text=Т

[Layout9.Row2.Button0]
Text=У

[Layout9.Row2.Button1]
Text=Ф

[Layout9.Row2.Button2]
Text=Х

[Layout9.Row2.Button3]
Text=Ц»
Output=ЦЧ

[Layout9.Row2.Button4]
Text=Ш»
Output=ШЩ

[Layout9.Row2.Button5]
Text=Ъ»
Output=ЪЫЬ

[Layout9.Row2.Button6]
Text=Э

[Layout9.Row2.Button7]
Text=Ю

[Layout9.Row3.Button0]
Text=Я

[Layout9.Row3.Button1]
Text=-

[Layout9.Row3.Button2]
Image=SPACE
Output=#32
Width=3

[Layout9.Row3.Button3]
Image=KB_ABC_BUTTON
ChangeToLayout=2

[Layout9.Row3.Button4]
Image=VISUAL_STD_BUTTON_ICON_BCK
Output=#8

[Layout9.Row3.Button5]
Image=VISUAL_STD_BUTTON_ICON_UPDOWN
SpecialAction=SHOW_HIDE_KB_ID

